2009-04-27  Jeff Hobbs  <jeffh@ActiveState.com>

	* tcl.m4 (TEA_CONFIG_CFLAGS): harden the check to add _r to CC on
	AIX with threads.

2009-03-26  Jan Nijtmans <nijtmans@users.sf.net>

	* configure: Regenerated to use latest TEA tcl.m4.

2009-03-20  Andreas Kupries <andreask@activestate.com>

	* configure: Regenerated to get my latest updates to tcl.m4 (See
	tclconfig/ChangeLog).

	NOTE: This pulled in an unexpected set of changes regarding
	SHLIB_VERSION and SHARED_LIB_SUFFIX, indicating that configure was
	not regenerated since some older change to tcl.m4.

2009-03-18  Stuart Cassoff  <stwo@users.sourceforge.net>

	* Makefile.in: Removed offending 'rm -f' line [Bug 2429444].

2009-03-11  Joe English  <jenglish@users.sourceforge.net>

	* pkgIndex.tcl.in: use @PACKAGE_NAME@ instead of "Tclsha1"
	[Bug 1960628].

2008-12-20  Daniel Steffen  <das@users.sourceforge.net>

	* Makefile.in: use INSTALL_LIBRARY instead of INSTALL_PROGRAM to
	install libraries, avoids breakage from tcl's install-strip when
	built as a bundled package.

2008-06-18  Pat Thoyts  <patthoyts@users.sourceforge.net>

	* win/makefile.vc: Updated win build files. Added new option to
	* win/rules.vc:    nmakehlp to qualify a path name for use in setting
	* win/nmakehlp.c:  up paths for test.

2007-10-23  Jeff Hobbs  <jeffh@ActiveState.com>

	*** Tagged tea-3-branch to start TEA 4 development on HEAD ***

	* Makefile.in: separate PKG_ENV parts from TCLSH/WISH_ENV parts to
	better allow 8.4 and 8.5 core variant testing.

2007-05-11  Pat Thoyts  <patthoyts@users.sourceforge.net>

	* win/nmakehlp.c:  Added support for simple substitution of an 
	* win/makefile.vc: input file. This permits us to make use of
	pkgIndex.tcl.in style files without resorting to use of the tclsh
	we are building against -- when compiling for a foreign target (eg
	AMD64 from a ix86 host) we may not be able to run the
	tclsh. nmakehlp however must always be a native executable.

2007-05-03  Pat Thoyts  <patthoyts@users.sourceforge.net>

	* win/makefile.vc: Round of updating to synch up with the Tcl
	* win/rules.vc:    core version of this build system.
	* win/nmakehlp.c:
	* win/sample.rc:   Added sample resource file.

2007-02-09  Jeff Hobbs  <jeffh@ActiveState.com>

	* Makefile.in, configure.in (CLEANFILES): correct cleanup handling
	of pkgIndex.tcl and clarify when it should be in CLEANFILES,
	CONFIG_CLEAN_FILES and/or BINARIES. [Bug 1655088]
	* configure: Updated with TEA 3.6 changes

2006-11-26  Daniel Steffen  <das@users.sourceforge.net>

	* Makefile.in: add datarootdir for autoconf-2.60.

	* configure: autoconf-2.59 for TEA updates.

2006-09-24  Pat Thoyts  <patthoyts@users.sourceforge.net>

	* win/nmakehlp.c:  Updated for building extensions with msvc8,
	* win/makefile.vc: support for varying compiler options for
	* win/rules.vc:    msvc6,7,8.

2006-01-23  Jeff Hobbs  <jeffh@ActiveState.com>

	* configure.in, configure: update to TEA 3.5

2006-01-10  Daniel Steffen  <das@users.sourceforge.net>

	* generic/sample.c:
	* generic/tclsample.c: fix gcc4 warnings.

	* configure: autoconf-2.59 for TEA updates.

2005-12-01  Daniel Steffen  <das@users.sourceforge.net>

	* configure: autoconf-2.59 for TEA updates.

2005-11-29  Jeff Hobbs  <jeffh@ActiveState.com>

	* configure, configure.in: update to TEA 3.4 (darwin-64, Win-64
	build improvements). [Bug 1369597]

	* pkgIndex.tcl.in: specify $PACKAGE_NAME to load

2005-11-27  Daniel Steffen  <das@users.sourceforge.net>

	* configure: autoconf-2.59 for TEA updates.

2005-09-13  Jeff Hobbs  <jeffh@ActiveState.com>

	* configure, configure.in: using TEA 3.3 that has threads enabled
	by default.

	* Makefile.in: remove unnecessary private dir info

2005-07-26  Mo DeJong  <mdejong@users.sourceforge.net>

	* Makefile.in: Remove SYSTEM_TCLSH and revert
	back to just using TCLSH_PROG and WISH_PROG.
	Remove use of SYSTEM_TCLSH at build time since
	this is no longer supported.
	* configure: Regen.
	* configure.in: Don't invoke TEA_BUILD_TCLSH or
	TEA_BUILD_WISH since these were removed from
	tcl.m4. This fixes up support for a build
	or installed version of Tcl.

2005-07-24  Mo DeJong  <mdejong@users.sourceforge.net>

	* README: Add info about mingw and mention
	pkgIndex.tcl.in.
	* configure: Regen.
	* configure.in: Emit a pkgIndex.tcl in the
	build directory. This makes it possible to
	build and install sampleextension without
	having to run anything in a tclsh shell.
	A build process that depends on running
	the software being built will not work
	when cross compiling.
	* pkgIndex.tcl.in: Add template.

2005-07-24  Mo DeJong  <mdejong@users.sourceforge.net>

	* Makefile.in: Subst TCLSH_PROG from PATH
	as SYSTEM_TCLSH and subst BUILD_TCLSH and
	BUILD_WISH. Use SYSTEM_TCLSH for the
 	pkgIndex.tcl generation target.
	* configure: Regen.
	* configure.in: Invoke new TEA_BUILD_TCLSH
	and TEA_BUILD_WISH macros defined in tcl.m4.
	[Tcl bug 1160114]
	[Tcl patch 1244153]

2005-06-23  Daniel Steffen  <das@users.sourceforge.net>

	* Makefile.in: added commented out variable definitions for building
	extensions using Tk, to document exactly what needs to be added for Tk.
	Commented out obsolete makefile variables TCL_DEFS and TCL_LIBS.

	* configure: autoconf-2.59 for TEA updates.

2005-06-18  Daniel Steffen  <das@users.sourceforge.net>

	* configure: autoconf-2.59 for TEA updates.

2005-06-04  Daniel Steffen  <das@users.sourceforge.net>

	* configure: autoconf-2.59 for TEA updates.

2005-04-25  Daniel Steffen  <das@users.sourceforge.net>

	* Makefile.in: split out TCLLIBPATH from TCLSH_ENV to allow
	customization and overriding, add PKG_LIB_FILE dependency to
	pkgIndex.tcl target.
	* configure.in: added AC_DEFINE* descriptions to allow
	use with autoheader.
	* configure: autoconf-2.59.

2005-03-25  Jeff Hobbs  <jeffh@ActiveState.com>

	* Makefile.in: add binaries dep to install-lib-binaries and
	install-bin-binaries. (steffen)

2005-03-24  Don Porter  <dgp@users.sf.net>

	* Makefile.in:	Corrected the `make dist` target.
	* configure:	TEA updates.

2005-03-18  Jeff Hobbs  <jeffh@ActiveState.com>

	* configure: regen with later tcl.m4.
	* Makefile.in: use @AR@ instead of hard-coded 'ar' to fix AIX
	64-bit static build.

2005-02-08  Jeff Hobbs  <jeffh@ActiveState.com>

	* configure: update for minor tcl.m4 changes.  This is the first
	checkin that uses autoconf-2.59 (previously used 2.57).

2005-02-07  Jeff Hobbs  <jeffh@ActiveState.com>

	* Makefile.in: SHLIB_LD_FLAGS no longer exported

2005-02-01  Jeff Hobbs  <jeffh@ActiveState.com>

	* configure, configure.in: update for TEA 3.2.

	* Makefile.in: add comments about doc target. [RFE #681117]

2005-01-24  Jeff Hobbs  <jeffh@ActiveState.com>

	* Makefile.in, tclconfig/tcl.m4: update to TEA 3.1, better CFLAGS
	* configure, configure.in:       handling, evc4 and msys support.

2004-12-29  Joe English  <jenglish@users.sourceforge.net>

	* tclconfig/tcl.m4: Do not use ${DBGX} suffix when building
	shared libraries [patch #1081595, TIP #34]

2004-12-02  Donal K. Fellows  <donal.k.fellows@man.ac.uk>

	* generic/tclsample.c (Sha1_Cmd): Rewrote to use the Tcl_Obj API
	for arguments instead of the old string API. [FRQ #1076907]

2004-07-16  Jeff Hobbs  <jeffh@ActiveState.com>

	* configure.in, configure, Makefile.in: Reorder configure.in for
	better 64-bit build configuration, replacing EXTRA_CFLAGS with
	CFLAGS.  [Bug #874058]
	(install-doc, install-libraries): guard against null globs

2004-07-05  Pat Thoyts  <patthoyts@users.sourceforge.net>

	* win/rules.vc:    Modified the nmake build system to support
	* win/makefile.vc: an specific installation directory not in the
	tcl install tree. eg: a site-lib directory. Some general fixups
	too, get the tests working again, update the version, and use the
	new PACKAGE_VERSION macro.

2004-07-04  Pat Thoyts  <patthoyts@users.sourceforge.net>

	* tests/all.tcl: Added a compatability function to permit running
	tests on tcl 8.2.

2003-12-10  Jeff Hobbs  <jeffh@ActiveState.com>

	* Makefile.in:      added TEA_ADD_LIBS, TEA_ADD_INCLUDES and
	* configure:        TEA_ADD_CFLAGS to configurable parameters with
	* configure.in:     PKG_* equivs in the Makefile.  This allows the
	* tclconfig/tcl.m4: user to worry less about actual magic VAR names.
	Corrected Makefile.in to note that TEA_ADD_TCL_SOURCES requires
	exact file names.

2003-12-09  Jeff Hobbs  <jeffh@ActiveState.com>

	* Makefile.in: added stub lib support even though sample doesn't
	yet create a stub library.

	* configure, tclconfig/tcl.m4: updated OpenBSD support based on
	[Patch #775246] (cassoff)

2003-12-08  Jeff Hobbs  <jeffh@ActiveState.com>

	* generic/sample.c: 
	* generic/sample.h: updated for 64-bit correctness

2003-12-05  Jeff Hobbs  <jeffh@ActiveState.com>

	* configure:
	* configure.in:
	* Makefile.in (VPATH): readd $(srcdir) to front of VPATH as the
	first part of VPATH can get chopped off.
	Change .c.$(OBJEXT) rule to .c.@OBJEXT@ to support more makes.
	* tclconfig/tcl.m4: add TEA_ADD_STUB_SOURCES to support libstub
	generation and TEA_ADD_TCL_SOURCES to replace RUNTIME_SOURCES as
	the way the user specifies library files.

2003-12-03  Jeff Hobbs  <jeffh@ActiveState.com>

	* configure:           Update of TEA spec to (hopefully) simplify
	* configure.in:        some aspects of TEA by making use of more
	* Makefile.in:         AC 2.5x features.  Use PACKAGE_NAME (instead
	* generic/tclsample.c: of PACKAGE) and PACKAGE_VERSION (instead of
	* tclconfig/tcl.m4:    VERSION) arguments to AC_INIT as the TEA
	package name and version.
	Provide a version argument to TEA_INIT - starting with 3.0.
	Drop all use of interior shell substs that older makefiles didn't
	like.  Use PKG_* naming convention instead.
	Move specification of source files and public headers into
	configure.in with TEA_ADD_SOURCES and TEA_ADD_HEADERS.  These will
	be munged during ./configure into the right obj file names (no
	$(SOURCES:.c=.obj) needed).
	There is almost nothing that should be touched in Makefile.in now
	for the developer.  May want to add a TEA_ADD_TCL_SOURCES for the
	RUNTIME_SOURCES that remains.
	Use SHLID_LD_FLAGS (instead of SHLID_LDFLAGS) as Tcl does.
	Only specify the user requested LDFLAGS/CFLAGS in the Makefile,
	don't mention the _OPTIMIZE/_DEBUG variants.

	* generic/sample.h: remove outdated ANSI_ARGS usage

2003-11-26  Jeff Hobbs  <jeffh@ActiveState.com>

	**** tagged sampleextension-0-4 ****

2003-10-06  Jeff Hobbs  <jeffh@ActiveState.com>

	* configure: regened with autoconf 2.5x tcl.m4

	* Makefile.in (CFLAGS_WARNING): added to base makefile

2003-10-01  Pat Thoyts  <patthoyts@users.sourceforge.net>

	* tea.pdf:         Set to binary so it downloads properly under Win32
	
	* win/rules.vc:    Fixed nmakehlp to find the correct Tcl or Tk
	* win/nmakehlp.c:  version from the tcl.h header file. This will
	* win/makefile.vc  then pick up the right libraries.

2003-07-02  Pat Thoyts  <patthoyts@users.sourceforge.net>

	* README:           Added notes for the win/ build files.
	
	* win/Makefile.vc:  Patch #762878 applied to provide a sample VC++
	* win/rules.vc:     build system. This is NOT TEA but is a useful
	* win/nmakehlp.c:   alternative for win32 developers.

2003-04-04  Andreas Kupries  <andreask@activestate.com>

	* configure.in:
	* tclconfig/tcl.m4: Updated to newest tcl.m4, regenerated
	  configure's.

2003-02-25  Mo DeJong  <mdejong@users.sourceforge.net>

	* README: Add generic unix build instructions
	and suggest the msys + mingw build process
	described in tcl/win/README.
	* README.cygwin: Remove Cygwin specific info since
	this is now covered in the README file.
	[Tc Patch 679416]

2002-10-15  Jeff Hobbs  <jeffh@ActiveState.com>

	* configure:
	* configure.in: move the CFLAGS definition into TEA_ENABLE_SHARED
	and make it pick up the env CFLAGS at configure time.

2002-07-11  Jeff Hobbs  <jeffh@ActiveState.com>

	* Makefile.in: make TCL_DEFS come first in DEFS to that our DEFS
	would redefine the Tcl ones.

	* generic/tclsample.c: renamed Sha1 to Sha1_Cmd to better follow
	convention

2002-04-22  Jeff Hobbs  <jeffh@ActiveState.com>

	* configure: regen'ed
	* configure.in (CLEANFILES): added pkgIndex.tcl

	* README.cygwin: improved notes on using cygwin.

2002-04-03  Jeff Hobbs  <jeffh@ActiveState.com>

	* Makefile.in: improved use of DESTDIR in install targets.
	Removed need for installdirs target.
	Broke TCLSH_PROG into TCLSH_ENV and TCLSH_PROG with TCLSH var and
	added comments about TCLSH_ENV.
	Added default shell and gdb targets.
	Added comments about using RUNTIME_SOURCES var.

	* README.cygwin: updated notes about using mingw gcc as a compiler.

	* configure: 
	* configure.in: updated to new TEA base that: prefixes all macros
	with TEA_* instead of SC_*; adds TEA_PREFIX, which defaults the
	prefix and exec_prefix values to what Tcl used; adds
	TEA_SETUP_COMPILER, which handles basic compiler / support program
	checks and simplifies the configure.in.

2002-04-01  Jeff Hobbs  <jeffh@ActiveState.com>

	* Makefile.in (install-lib-binaries): ensure that binary files are
	installed with executable bit set (use INSTALL_PROGRAM)

2002-03-29  Jeff Hobbs  <jeffh@ActiveState.com>

	* configure: regen'ed from changed tclconfig/tcl.m4

	* generic/tclsample.c: added #include <string.h> for strlen /
	strcmp declarations.

2002-03-28  Jeff Hobbs  <jeffh@ActiveState.com>

	* Makefile.in: moved setting TCLLIBPATH to the test target because
	that is where it is needed, added a little doc about it.

	* configure:
	* configure.in: BUILD_${PACKAGE} had to be static BUILD_sample in
	AC_DEFINE because autoconf wasn't substituting ${PACKAGE}.

	* tests/all.tcl: added message about starting pwd

2002-03-27  Jeff Hobbs  <jeffh@ActiveState.com>

	* Makefile.in (TCLSH_PROG): moved and updated env var definitions
	to have tclsh work from build dir.  Removed TCL_EXTRA_CFLAGS,
	TCL_LD_FLAGS, TCL_SHLIB_LD_LIBS, TCL_DBGX, TCL_STUB_LIB_FILE,
	TCL_STUB_LIB_SPEC as they aren't needed (configure acquires all
	that info for us).  TCL_LIBS is also not needed, but left in as a
	reference to the libs Tcl used.

	* configure: regen based on updated tclconfig/tcl.m4
	* configure.in: moved the SHLIB_LD_LIBS magic into
	tclconfig/tcl.m4 and noted where users can modify (SHLIB_LD_)LIBS.

2002-03-20  Jeff Hobbs  <jeffh@ActiveState.com>

	* Makefile.in (install-binaries): corrected if shell error
	[Bug #532557] (virden)

2002-03-19  Jeff Hobbs  <jeffh@ActiveState.com>

	* README:
	* mkIndex.tcl.in (removed): removed the need for this script by
	simplifying the default install structure to use pkglibdir for the
	main dynamic library file generated.

	* configure:
	* configure.in: use double eval on the ${PACKAGE}_LIB_FILE to
	substitute the ${DBGX} variable.
	Remove output of the mkIndex.tcl script.

	* Makefile.in: added pkgIndex.tcl to binaries dependencies.
	Removed use of mkIndex.tcl script.  Simple pkgIndex.tcl target
	added and install-lib-binaries modified to use pkglibdir instead
	of bindir and libdir directories.

2002-03-12  Jeff Hobbs  <jeffh@ActiveState.com>

	* configure: regenerated
	* configure.in: removed pulling (UN)SHARED_LIB_SUFFIX from
	tclConfig.sh as these are defined by SC_CONFIG_CFLAGS.

	* Makefile.in (TCLSH_PROG): added a viable TCL_LIBRARY for when
	the TCLSH_PROG is a built, but not installed, executable.
	(install-binaries, test, LIB_FILE): use	$($(PACKAGE)_LIB_FILE)
	instead of directly referencing package name to reduce number of
	lines that need changing.
	(dist): removed install of no longer existent tclconfig/config.*

2002-03-11  Jeff Hobbs  <jeffh@ActiveState.com>

	* Makefile.in:
	* doc/sha1.n: moved from sha1.n
	* generic/sample.c: moved from sample.c
	* generic/sample.h: moved from sample.h
	* generic/tclsample.c: moved from tclsample.c

2002-03-06  Jeff Hobbs  <jeffh@ActiveState.com>

	* Makefile.in: add EXTRA_SOURCES, WIN_SOURCES, UNIX_SOURCES
	example lines, remove $(sample_LIB_FILE)_OBJECTS problematic
	macro, move lib_BINARIES and BINARIES as they don't need editing.
	Replace $(mkinstalldirs) with "mkdir -p", added $(srcdir)/unix to
	VPATH, removed inclusion of tclconfig/installFile.tcl and
	tclconfig/mkinstalldirs in dist: target.

	* aclocal.m4: added comments

2002-03-05  Jeff Hobbs  <jeffh@ActiveState.com>

	* Makefile.in: removed unused @vars@.  Cleaned up targets.  Added
	dist and dist-clean generic targets.  Improved use of OBJEXT.

	* configure.in: bumped package to 0.3, cleaned up macro usage.

	* README: 
	* README.cygwin: 
	* aclocal.m4:
	* configure (new):
	* install-sh, mkinstalldirs, tcl.m4 (removed): complete revamp to
	use the tclconfig updated TEA module

	* exampleA.c, sample.c:
	* exampleA.h, sample.h:
	* tclexampleA.c, tclsample.c: s/exampleA/sample/g

2001-05-21  Jeff Hobbs  <jeffh@ActiveState.com>

	* tcl.m4: 419812

2000-06-26  Mike Thomas  <wart@scriptics.com>

	* Makefile.in:  Changed TCLTESTARGS to TESTFLAGS in test: target.

2000-02-03  Mike Thomas  <wart@scriptics.com>

	* tests/:  Added tests subdirectory with sample test files
	* Makefile.in:  Added test target to Makefile.
	* configure.in: Added hooks for when we later move some of the config
	files to a subdirectory.

2000-02-02  Mike Thomas  <wart@scriptics.com>

	* configure.in:
	* Makefile.in: Applied patch from Andreas Kupries to fix install
	problems when building static libraries.

2000-01-24  Mike Thomas  <wart@scriptics.com>

	* tcl.m4: Look for CYGWIN_98 and CYGWIN_95 environments, not just
	CYGWIN_NT.  Also search for executables with the $EXEEXT extension
	in SC_PROG_TCLSH and SC_PROG_WISH so that we don't pick up MS VS
	junk files.
	* configure.in:  Changes to support building on Win 95/98 using
	the cygwin environment.
